# boost::redis::config::password

Password used for authentication during connection establishment.

## Synopsis

Declared in `<boost/redis/config.hpp>`

    std::string password;

## Description

If `use_setup` is false (the default), during connection establishment, authentication is performed by sending a `HELLO` command. This field contains the password to employ.

If the username equals the literal `"default"` (the default) and no password is specified, the `HELLO` command is sent without authentication parameters.

Created with MrDocs